local text_original = LocalizationManager.text
function LocalizationManager:text(string_id, ...)

return string_id == "GUN_TITLE" and "Gunslinger"
or string_id == "GUN_DESC" and "An expert in using a variety of handguns, the gunslinger is great for dealing damage and being persistent. Being virtuous is the key to success."

or string_id == "GUN_1_NAME" and "Powerful I"
or string_id == "GUN_1_DESC" and "Your damage with pistols increases by ##20%## and your overall movement speed increases by ##10%##.\n\nBecause of your expertise and focus in wielding and firing handguns, your weapon damage is reduced for all other types of guns (not including melee)."
or string_id == "GUN_2_NAME" and "Powerful II"
or string_id == "GUN_2_DESC" and "Anger is power - Unleash it!\n\nFurther increases your pistol damage by 20%, making it a total of ##40%##.\n\nKilling an enemy with any weapon will restore ##20## units of armor, with a 2 second cooldown."
or string_id == "GUN_3_NAME" and "Vigorous I"
or string_id == "GUN_3_DESC" and "Advertisities can foster hope, and resilience.\n\nYou regenerate ##1.5%## of your total HP every 5 seconds, and your reload speed for pistols have increased by ##20%##.\n\nYou also sprint ##5%## faster."
or string_id == "GUN_4_NAME" and "Stalwart"
or string_id == "GUN_4_DESC" and "Many fall in the face of chaos, but not you!...Not today.\n\nYou gain ##40%## more health and a ##10%## base dodge chance.\n\nIn addition, you also gain ##20%## more armor for the Lightweight Ballistic Vest, ##25%## more for the standard Ballistic Vest, and ##30%## more for the Heavy Ballistic Vest.\n\nYour armor recovery rate is increased by ##20%##."
or string_id == "GUN_5_NAME" and "Vigorous II"
or string_id == "GUN_5_DESC" and "In the darkest of times, you still manage to push through to complete your goal.\n\nFurther increases your health regeneration, resulting to ##2.5%## of your total HP every 5 seconds.\n\nYour reload speed with pistols increases by another 20%, totaling to ##40%##.\n\nIn addition, your sprinting speed increases by another 5%, totaling to ##10%##."
or string_id == "GUN_6_NAME" and "Courageous"
or string_id == "GUN_6_DESC" and "A moment of valor shines brightest against a backdrop of despair.\n\nYour base dodge chance is further increased by 10% for a total of ##20%##.\n\nYour vest armor increases by another 20% for the Lightweight Ballistic Vest, 25% for the standard Ballistic Vest, and 30% for the Heavy Ballistic Vest, totaling to ##40%##, ##50%##, and ##60%## respectively.\n\nYour armor recovery rate also increases by an additional 20%, totaling to ##40%## faster armor recovery rate."
or string_id == "GUN_7_NAME" and "Focused"
or string_id == "GUN_7_DESC" and "A moment of clarity in the eye of the storm...\n\nYour firing speed increases by ##20%## for pistols.\n\nYou also move 10% faster, totaling to ##20%## extra movement speed."
or string_id == "GUN_8_NAME" and "Essence of a Gunslinger"
or string_id == "GUN_8_DESC" and "Further increases your firing speed by 20%, totaling to ##40%## for pistols.\n\nYour sprinting speed further increases by 5% to a total of ##15%##.\n\nYou also carry ##20%## more ammunition and pick up ##35%## more ammo from the ground."
or string_id == "GUN_9_NAME" and "Determination"
or string_id == "GUN_9_DESC" and "Even after going down, you still persist and fight on until you become victorious. Not in an evil way, of course. All odds have been placed against you and you have an army of cops wanting to take you down with brute force...but you refuse to back down.\n\nYou gain a ##75%## chance to get right back up after you've gone down. Think of it as using the old Inspire skill on yourself just once, and hoping RNG doesn't screw you over.\n\nIn addition, you gain an extra 15% dodge chance with the Lightweight Ballistic Vest, a 10% dodge chance with the standard Ballistic Vest, and a 5% dodge chance with the Heavy Ballistic Vest, totaling to ##35%##, ##30%##, and ##25%## respectively."

or text_original(self, string_id, ...)
end