local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
	data(self, tweak_data)
table.insert(self.specializations,
		{
			name_id = "GUN_TITLE",
			desc_id = "GUN_DESC",
			{
				upgrades = {		--1
				"PISTOL1",
				"MOVEMENT1",
				"nope1",
				"nope2",
				"nope3",
				"nope4",
				"nope5",
				},
				cost = 200,
				icon_xy = {3, 3},
				name_id = "GUN_1_NAME",
				desc_id = "GUN_1_DESC"
			},			
			{
				upgrades = {		--2
				"PISTOL2",
				"ARMORREGEN",
				},
				cost = 300,
				icon_xy = {2, 7},
				name_id = "GUN_2_NAME",
				desc_id = "GUN_2_DESC"
			},
			{
				upgrades = {		--3
				"REGENERATION1",
				"RELOAD_1",
				"RUNNING1",
				},
				cost = 400,
				icon_xy = {1, 6},
				name_id = "GUN_3_NAME",
				desc_id = "GUN_3_DESC"
			},
			{
				upgrades = {		--4
				"HEALTH",
				"DODGE1",
				"VESTARMOR",
				"VESTARMOR2",
				"VESTARMOR6",
				"ARMORREGEN2",
				},
				cost = 600,
				icon_xy = {4, 1},
				name_id = "GUN_4_NAME",
				desc_id = "GUN_4_DESC"
			},
			{
				upgrades = {		--5
				"REGENERATION2",
				"RELOAD_2",
				"RUNNING2",
				},
				cost = 1000,
				icon_xy = {2, 6},
				name_id = "GUN_5_NAME",
				desc_id = "GUN_5_DESC"
			},
			{
				upgrades = {		--6
				"DODGE2",
				"VESTARMOR3",
				"VESTARMOR4",
				"VESTARMOR7",
				"ARMORREGEN3",
				},
				cost = 1600,
				icon_xy = {3, 2},
				name_id = "GUN_6_NAME",
				desc_id = "GUN_6_DESC"
			},
			{
				upgrades = {		--7
				"RATE1",
				"MOVEMENT2",
				},
				cost = 2400,
				icon_xy = {5, 2},
				name_id = "GUN_7_NAME",
				desc_id = "GUN_7_DESC"
			},
			{
				upgrades = {		--8
				"RATE2",
				"AMMO",
				"PICKUP",
				"RUNNING3",
				},
				cost = 3200,
				icon_xy = {3, 5},
				name_id = "GUN_8_NAME",
				desc_id = "GUN_8_DESC"
			},
			{
				upgrades = {		--9
				"LEGEND",
				"VESTDODGE1",
				"VESTDODGE2",
				"VESTDODGE3",
				},
				cost = 4000,
				icon_xy = {3, 7},
				name_id = "GUN_9_NAME",
				desc_id = "GUN_9_DESC"
			}
			})
			
end