local data = UpgradesTweakData._init_pd2_values
function UpgradesTweakData:_init_pd2_values()
data(self, tweak_data)

	self.values.shotgun.damage_multiplier = {0.5}
	self.values.smg.damage_multiplier = {0.5}
	self.values.snp.damage_multiplier = {0.5}
	self.values.assault_rifle.damage_multiplier = {0.5}
	self.values.lmg.damage_multiplier = {0.5}
	self.values.pistol.damage_multiplier = {1.2, 1.4}
	self.values.player.movement_speed_multiplier = {1.10, 1.20}
	self.values.player.run_speed_multiplier = {1.05, 1.1, 1.15}
	self.values.pistol.reload_speed_multiplier = {1.2, 1.4}
	self.values.pistol.fire_rate_multiplier = {1.2, 1.4}
	self.values.player.extra_ammo_multiplier = {1.20}
	self.values.player.level_2_armor_multiplier = {1.20, 1.40}
	self.values.player.level_3_armor_multiplier = {1.25, 1.50}
	self.values.player.level_4_armor_multiplier = {1.30, 1.60}
	self.values.player.cheat_death_chance = {0.75}
	self.values.player_killshot_regen_armor_bonus = {20}
	self.values.player.armor_regen_timer_multiplier_passive = {0.80, 0.60}
	self.values.player.pick_up_ammo_multiplier = {1.35}
	
	self.values.player.tier_dodge_chance = {0.10, 0.20}
	self.values.player.level_2_dodge_addend = {0.15}
	self.values.player.level_3_dodge_addend = {0.10}
	self.values.player.level_4_dodge_addend = {0.05}
	self.values.player.passive_health_regen = {0.015, 0.025}	
	self.values.player.passive_health_multiplier = {1.40}	
	
end


local skills = UpgradesTweakData._player_definitions
function UpgradesTweakData:_player_definitions()
skills(self, tweak_data)

		self.definitions.VESTARMOR6 = {
		category = "feature",
		name_id = "menu_player_level_4_armor_multiplier",
		upgrade = {
			category = "player",
			upgrade = "level_4_armor_multiplier",
			value = 1
		}}	
		
		self.definitions.nope1 = {
		category = "feature",
		name_id = "menu_shotgun_damage_multiplier",
		upgrade = {
			category = "shotgun",
			upgrade = "damage_multiplier",
			value = 1
		}}
		
		self.definitions.nope2 = {
		category = "feature",
		name_id = "menu_smg_damage_multiplier",
		upgrade = {
			category = "smg",
			upgrade = "damage_multiplier",
			value = 1
		}}
		
		self.definitions.nope3 = {
		category = "feature",
		name_id = "menu_snp_damage_multiplier",
		upgrade = {
			category = "snp",
			upgrade = "damage_multiplier",
			value = 1
		}}
		
		self.definitions.nope4 = {
		category = "feature",
		name_id = "menu_assault_rifle_damage_multiplier",
		upgrade = {
			category = "assault_rifle",
			upgrade = "damage_multiplier",
			value = 1
		}}
		
		self.definitions.nope5 = {
		category = "feature",
		name_id = "menu_lmg_damage_multiplier",
		upgrade = {
			category = "lmg",
			upgrade = "damage_multiplier",
			value = 1
		}}
		
		self.definitions.RUNNING1 = {
		category = "feature",
		name_id = "menu_player_run_speed_multiplier",
		upgrade = {
			category = "player",
			upgrade = "run_speed_multiplier",
			value = 1
		}}
		
		self.definitions.RUNNING2 = {
		category = "feature",
		name_id = "menu_player_run_speed_multiplier",
		upgrade = {
			category = "player",
			upgrade = "run_speed_multiplier",
			value = 2
		}}
		
		self.definitions.RUNNING3 = {
		category = "feature",
		name_id = "menu_player_run_speed_multiplier",
		upgrade = {
			category = "player",
			upgrade = "run_speed_multiplier",
			value = 3
		}}

		self.definitions.VESTARMOR7 = {
		category = "feature",
		name_id = "menu_player_level_4_armor_multiplier",
		upgrade = {
			category = "player",
			upgrade = "level_4_armor_multiplier",
			value = 2
		}}	

		self.definitions.ARMORREGEN = {
		category = "feature",
		name_id = "menu_player_killshot_regen_armor_bonus",
		upgrade = {
			category = "player",
			upgrade = "killshot_regen_armor_bonus",
			value = 1}}

		self.definitions.PICKUP = {
		category = "feature",
		name_id = "menu_player_pick_up_ammo_multiplier",
		upgrade = {
			category = "player",
			upgrade = "pick_up_ammo_multiplier",
			value = 1}}

		self.definitions.ARMORREGEN2 = {
		category = "feature",
		name_id = "menu_player_armor_regen_timer_multiplier_passive",
		upgrade = {
			category = "player",
			upgrade = "armor_regen_timer_multiplier_passive",
			value = 1}}

		self.definitions.ARMORREGEN3 = {
		category = "feature",
		name_id = "menu_player_armor_regen_timer_multiplier_passive",
		upgrade = {
			category = "player",
			upgrade = "armor_regen_timer_multiplier_passive",
			value = 2}}

		self.definitions.VESTDODGE1 = {
		category = "feature",
		name_id = "menu_player_level_2_dodge_addend",
		upgrade = {
			category = "player",
			upgrade = "level_2_dodge_addend",
			value = 1
		}}

		self.definitions.VESTDODGE2 = {
		category = "feature",
		name_id = "menu_player_level_3_dodge_addend",
		upgrade = {
			category = "player",
			upgrade = "level_3_dodge_addend",
			value = 1
		}}

		self.definitions.VESTDODGE3 = {
		category = "feature",
		name_id = "menu_player_level_4_dodge_addend",
		upgrade = {
			category = "player",
			upgrade = "level_4_dodge_addend",
			value = 1
		}}

		self.definitions.VESTARMOR = {
		category = "feature",
		name_id = "menu_player_level_2_armor_multiplier",
		upgrade = {
			category = "player",
			upgrade = "level_2_armor_multiplier",
			value = 1
		}}

		self.definitions.VESTARMOR3 = {
		category = "feature",
		name_id = "menu_player_level_2_armor_multiplier",
		upgrade = {
			category = "player",
			upgrade = "level_2_armor_multiplier",
			value = 2
		}}

		self.definitions.VESTARMOR4 = {
		category = "feature",
		name_id = "menu_player_level_3_armor_multiplier",
		upgrade = {
			category = "player",
			upgrade = "level_3_armor_multiplier",
			value = 2
		}}

		self.definitions.LEGEND = {
		category = "feature",
		name_id = "menu_player_cheat_death_chance",
		upgrade = {
			category = "player",
			upgrade = "cheat_death_chance",
			value = 1
		}}

		self.definitions.VESTARMOR2 = {
		category = "feature",
		name_id = "menu_player_level_3_armor_multiplier",
		upgrade = {
			category = "player",
			upgrade = "level_3_armor_multiplier",
			value = 1
		}}		

		self.definitions.AMMO = {
		category = "feature",
		name_id = "menu_player_extra_ammo_multiplier",
		upgrade = {
			category = "player",
			upgrade = "extra_ammo_multiplier",
			value = 1
		}}		

		self.definitions.MOVEMENT1 = {
		category = "feature",
		name_id = "menu_player_movement_speed_multiplier",
		upgrade = {
			category = "player",
			upgrade = "movement_speed_multiplier",
			value = 1
		}}
		
		self.definitions.MOVEMENT2 = {
		category = "feature",
		name_id = "menu_player_movement_speed_multiplier",
		upgrade = {
			category = "player",
			upgrade = "movement_speed_multiplier",
			value = 2
		}}

		self.definitions.RATE1 = {
		category = "feature",
		name_id = "menu_pistol_fire_rate_multiplier",
		upgrade = {
			category = "pistol",
			upgrade = "fire_rate_multiplier",
			value = 1
		}}

		self.definitions.RATE2 = {
		category = "feature",
		name_id = "menu_pistol_fire_rate_multiplier",
		upgrade = {
			category = "pistol",
			upgrade = "fire_rate_multiplier",
			value = 2
		}}

		self.definitions.RELOAD_1 = {
		category = "feature",
		name_id = "menu_pistol_reload_speed_multiplier",
		upgrade = {
			category = "pistol",
			upgrade = "reload_speed_multiplier",
			value = 1
		}}

		self.definitions.RELOAD_2 = {
		category = "feature",
		name_id = "menu_pistol_reload_speed_multiplier",
		upgrade = {
			category = "pistol",
			upgrade = "reload_speed_multiplier",
			value = 2
		}}

	self.definitions.PISTOL1 = {
		category = "feature",
		name_id = "menu_pistol_damage_multiplier",
		upgrade = {
			category = "pistol",
			upgrade = "damage_multiplier",
			value = 1
		}}
	
	self.definitions.PISTOL2 = {
		category = "feature",
		name_id = "menu_pistol_damage_multiplier",
		upgrade = {
			category = "pistol",
			upgrade = "damage_multiplier",
			value = 2
		}}
	
	self.definitions.PISTOL3 = {
		category = "feature",
		name_id = "menu_pistol_damage_multiplier",
		upgrade = {
			category = "pistol",
			upgrade = "damage_multiplier",
			value = 3
		}}

	self.definitions.DODGE1 = {
		category = "feature",
		name_id = "menu_player_tier_dodge_chance",
		upgrade = {
			category = "player",
			upgrade = "tier_dodge_chance",
			value = 1}}
	self.definitions.DODGE2 = {
		category = "feature",
		name_id = "menu_player_tier_dodge_chance",
		upgrade = {
			category = "player",
			upgrade = "tier_dodge_chance",
			value = 2}}

	self.definitions.REGENERATION1 = {
		category = "temporary",
		name_id = "menu_player_passive_health_regen",
		upgrade = {
			category = "player",
			upgrade = "passive_health_regen",
			value = 1}
		}
	self.definitions.REGENERATION2 = {
		category = "temporary",
		name_id = "menu_player_passive_health_regen",
		upgrade = {
			category = "player",
			upgrade = "passive_health_regen",
			value = 2}
		}
	
	self.definitions.HEALTH = {
		category = "feature",
		name_id = "menu_player_health_multiplier",
		upgrade = {
			category = "player",
			upgrade = "passive_health_multiplier",
			value = 1
		}
	}
	
end